import { fetch, post } from '@/api/http'
export default {
    SaveAnalyzeHtml: function(data) {
        return post('/import/parse-html', data)
    },
    /**
     * 更新保存试题
     * @param {any} data
     */
    SaveSingleExercise: function(data) {
        return post('/item/upsert', data)
    },
    /**
     * 批量更新保存试题
     * @param {any} data
     */
    SaveAllExercise: function(data) {
        return post('/item/upsertAll', data)
    },

    /**
     * 根据条件手动挑题
     * @param {any} data
     */
    FindExerciseList: function(data) {
        return post('/item/find', data)
    },    

    /**
     * 删除试题
     * @param {any} data
     */
    DeleteExamItem: function(data) {
        return post('/item/delete', data)
    },
	
	/**
     * 图片压缩
     * @param {any} data
     */
    imageQuant: function(data) {
        return post('/core/image-quant', data)
    },
	
	

}
